This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 23430 - (G450) Ugly font-rendering
(G450) Ugly font-rendering
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-05 13:14 EST by Enrico Scholz
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 06:36:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log-/configfiles, sample screenshots (228.28 KB, application/octet-stream)
2001-01-29 18:07 EST, Enrico Scholz
no flags Details

  None (edit)
Description Enrico Scholz 2001-01-05 13:14:02 EST
My DDC-monitor tells XFree86 its height and width. So X11 calculates
DPI-values[1] no unscaled fonts are existing for. That leads to very ugly
fonts in a lot of X applications (e.g. Netscape or XEmacs). 

I solved it by setting manually a 'DisplaySize' in the Monitor-section of
/etc/X11/XF86Config-4 ("startx -- -dpi 75" has not worked). 

I don't know if its really a bug or just a configuration-issue, but perhaps
Xconfigurator can put similar entries into XF86Config if needed.



[1] dpyinfo says
  dimensions:    1280x1074 pixels (342x270 millimeters)
  resolution:    95x101 dots per inch
Comment 1 Mike A. Harris 2001-01-28 13:13:32 EST
Please provide the details of your system:  make/model/size of monitor,
brand of video card, driver used, etc..

Please attach your config files (working and non-working) and also Xserver
error logs from each as well.
Comment 2 Enrico Scholz 2001-01-29 18:02:55 EST
I will append an archive with the following contents:

XF86Config/{good,bad}	-  X11 configuration [text/plain]
X-log/{good,bad}		-  X error-logs  [text/plain]
xdpyinfo/{good,bad}	- xdpyinfo output [text/plain]
{gnus,netscape}/{good,bad}.png	- sample screenshots from critical applications
[image/png]
window-cycle/{good,bad}.png	- textfield in the middle of the window when cycling
windows under sawfish (M-Tab) [image/png]
XFree86-rpms	output of `rpm -qa |grep ^XFree86'
fs-config		/etc/X11/fs/config


The videocard is a Matrox G450 (patched driver), the monitors are a Fujitsu
Siemens 4311FA Flatscreen Monitor and a Belinea 107030. The same effect was seen
with a Nvidia Riva TNT videocard also.

The 4311FA monitor is the primary screen; the dimensions are shown in the files
in the xdpyinfo-dir.
Comment 3 Enrico Scholz 2001-01-29 18:07:18 EST
Created attachment 8439 [details]
log-/configfiles, sample screenshots
Comment 4 Mike A. Harris 2001-03-18 22:13:05 EST
The stock XFree86 does not support the G450 at all.  Our release includes
some preliminary G450 support but needs more work done to be complestely
useable.  We are aware of this and are working on a solution with Matrox.
Stay tuned.  ;o)

Comment 5 Enrico Scholz 2001-03-19 02:47:30 EST
This is not a mga450 related problem. I see the same ugly fonts on a RivaTNT and
ATI 3D Rage Pro.

When starting the server with 'startx -- -dpi 75' the problem disappears;
perhaps X chooses an ugly 100 dpi font.
Comment 6 David Sainty 2001-03-19 05:44:51 EST
Have you tried this after adding the XFree86-100dpi-fonts RPM?   Let us know if
adding the package works. I have had problems whereby you get TERRIBLE fonts,
but once the 100dpi fonts are installed, all is good.

Comment 7 Enrico Scholz 2001-03-19 06:36:50 EST
The attachment I gave on 2001-01-29 contains a list of all XFree86 RPMS:

----------------------
XFree86-KOI8-R-75dpi-fonts-1.0-5
XFree86-100dpi-fonts-4.0.2-0.2
XFree86-ISO8859-9-75dpi-fonts-2.1.2-16
XFree86-tools-4.0.2-0.2
XFree86-V4L-4.0.2-0.2
XFree86-ISO8859-2-Type1-fonts-1.0-15
XFree86-ISO8859-9-2.1.2-16
XFree86-xfs-4.0.2-0.2
XFree86-ISO8859-2-75dpi-fonts-4.0.2-0.2
XFree86-ISO8859-2-1.0-15
XFree86-ISO8859-7-1.0-9
XFree86-4.0.2-0.2
XFree86-doc-4.0.2-0.2
XFree86-KOI8-R-1.0-5
XFree86-twm-4.0.2-0.2
XFree86-ISO8859-2-100dpi-fonts-4.0.2-0.2
XFree86-ISO8859-7-75dpi-fonts-1.0-9
XFree86-cyrillic-fonts-4.0.2-0.2
XFree86-ISO8859-7-Type1-fonts-1.0-9
XFree86-xf86cfg-4.0.2-0.2
XFree86-ISO8859-7-100dpi-fonts-1.0-9
XFree86-75dpi-fonts-4.0.2-0.2
XFree86-KOI8-R-100dpi-fonts-1.0-5
XFree86-libs-4.0.2-0.2
XFree86-ISO8859-9-100dpi-fonts-2.1.2-16
XFree86-devel-4.0.2-0.2
XFree86-Xnest-4.0.2-0.2
-----------------------------

So you can see I have installed all fonts shipped by RH (including the 100dpi
fonts). (The XFree86 packages are the original RH packages; not these patched to
work with the mga450).
Comment 8 Mike A. Harris 2001-04-06 19:50:01 EDT
Rawhide 4.0.3-5 should solve these problems for you.

Note You need to log in before you can comment on or make changes to this bug.